export interface AutocompleteNode {
    name: string | RegExp;
    keys: string[];
    values: string[];
    path: (string | RegExp)[];
    children: AutocompleteNode[];
    indices: number[];
}
export declare function newRootNode(objects: Record<string, unknown>[]): AutocompleteNode;
export declare function iterateAndCreateMissingChild(depth: number, keyPath: (string | RegExp)[], objects: Record<string, unknown>[], root: AutocompleteNode): AutocompleteNode | null;
